package org.jeecg.common.bestpay.model;

import lombok.Data;
import org.jeecg.common.bestpay.enums.BestPayTypeEnum;

/**
 * 支付时请求参数
 */
@Data
public class RefundRequest {

    /**
     * 支付方式.
     */
    private BestPayTypeEnum payTypeEnum;

    /**
     * 订单号.
     */
    private String orderId;

    /**
     * 订单金额.
     */
    private Double orderAmount;

    /**
     * 退款金额.
     */
    private Double refundAmount;
}
