package org.jeecg.common.bestpay.model.wxpay.response;

import lombok.Data;
import org.simpleframework.xml.Element;
import org.simpleframework.xml.Root;

@Data
@Root(name = "xml", strict = false)
public class EnterprisePayResponse {
    @Element(name = "return_code",required = false)
    private String returnCode;
    @Element(name = "return_msg",required = false)
    private String returnMsg;

    /**
     * 支付时间
     */
    @Element(name="payment_time",required = false)
    private String paymentTime;
    /**
     * 支付单号
     */
    @Element(name="payment_no",required = false)
    private String paymentNo;
    /**
     * 商户单号
     */
    @Element(name="partner_trade_no",required = false)
    private String partnerTradeNo;
    /**
     * 结果状态码
     */
    @Element(name="result_code",required = false)
    private String resultCode;
    @Element(name="err_code_des",required = false)
    private String errCodeDes;

}
