package org.jeecg.common.bestpay.model;

import lombok.Data;
import org.jeecg.common.bestpay.enums.BestPayTypeEnum;

@Data
public class EnterprisePayRequest {
    /***/
    private BestPayTypeEnum payTypeEnum;
    /**金额:{}(分)*/
    private int amount;
    /**说明*/
    private String desc;
    private String checkName="NO_CHECK";
    /**用户openid*/
    private String openid;
    /**流水号*/
    private String partnerTradeNo;
    /**是否是app 0否 1是*/
    private Integer isApp;
    /**微信appid*/
    private String appid;
}
