import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '订单id',
    align:"center",
    dataIndex: 'orderId'
   },
   {
    title: '保险费（元）、',
    align:"center",
    dataIndex: 'premium'
   },
   {
    title: '支付方式 0微信支付 1 余额支付',
    align:"center",
    dataIndex: 'moneyType_dictText'
   },
   {
    title: '支付时间',
    align:"center",
    dataIndex: 'payTime'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '订单id',
    field: 'orderId',
    component: 'Input',
  },
  {
    label: '保险费（元）、',
    field: 'premium',
    component: 'InputNumber',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入保险费（元）、!'},
          ];
     },
  },
  {
    label: '支付方式 0微信支付 1 余额支付',
    field: 'moneyType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"money_type"
     },
  },
  {
    label: '支付时间',
    field: 'payTime',
    component: 'Input',
  },
];
