package org.jeecg.modules.userCode.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.tbTask.entity.TbTask;
import org.jeecg.modules.userCode.model.vo.TbTaskVo;


import java.util.List;

/**
 * @Description: merchant_info
 * @Author: jeecg-boot
 * @Date: 2021-03-15
 * @Version: V1.0
 */
public interface TaskMapper extends BaseMapper<TbTask> {

    IPage<TbTaskVo> tasks(@Param("lon") String lon, @Param("lat") String lat
            , @Param("distance") String distance, @Param("search") String search, Page page);


}
